Holger's Java API

## com.antelmann.util
Class CancellationWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      java.util.concurrent.CancellationException
                          com.antelmann.util.CancellationWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class CancellationWarning

extends CancellationException
implements WarningOnly

indicates that an operation has been deliberately canceled, which is only to be viewed as a warning

Since:
  24.05.2011, 14:58:44
Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`CancellationWarning()`
`CancellationWarning(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CancellationWarning

    public CancellationWarning()

### CancellationWarning

    public CancellationWarning(String message)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads